Total number of executions matching the filter criteria
⌘I
{"docsConfig":{"theme":"linden","$schema":"https://mintlify.com/docs.json","name":"Kaizen","colors":{"primary":"#ffcc00","light":"#ffcc00","dark":"#f8c806"},"logo":{"light":"https://mintcdn.com/kaizenautomation/Wx0TyKIp-iSVxHVM/logo/light.svg?fit=max\u0026auto=format\u0026n=Wx0TyKIp-iSVxHVM\u0026q=85\u0026s=f3e4d00ffe0f3d46f58a68a433349b22","dark":"https://mintcdn.com/kaizenautomation/Wx0TyKIp-iSVxHVM/logo/dark.svg?fit=max\u0026auto=format\u0026n=Wx0TyKIp-iSVxHVM\u0026q=85\u0026s=c9e7c7a28d2d044f4ae76f7d7ba5a895"},"favicon":"https://mintcdn.com/kaizenautomation/Wx0TyKIp-iSVxHVM/favicon.svg?fit=max\u0026auto=format\u0026n=Wx0TyKIp-iSVxHVM\u0026q=85\u0026s=38fa31b283b9dce54a99fa12128c17c9","styling":{"latex":false},"background":{"color":{"light":"#fffdf7","dark":"#100f0b"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kaizenautomation","hasAudioNarration":false,"actualSubdomain":"kaizenautomation","customDomains":["docs.kaizenautomation.com"],"gitSource":{"type":"github","owner":"kaizen-automation","repo":"kaizen","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeae68c1dc8750e81171b30","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API Reference","count":24},{"language":"default","tag":"Guides","count":8},{"language":"default","tag":"Agents","count":5},{"language":"default","tag":"Logins","count":5},{"language":"default","tag":"Workflows","count":4},{"language":"default","tag":"Cookbook","count":4},{"language":"default","tag":"Executions","count":3},{"language":"default","tag":"Get Started","count":3},{"language":"default","tag":"Authentication","count":2},{"language":"default","tag":"Files","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/executions/list-executions","slug":"/api-reference/executions/list-executions","pageMetadata":{"openapi":"post /executions/list","title":"List executions","description":"Retrieves all executions for the current organization with optional filtering","href":"/api-reference/executions/list-executions"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves all executions for the current organization with optional filtering\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /executions/list","title":"List executions","description":"Retrieves all executions for the current organization with optional filtering","href":"/api-reference/executions/list-executions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/kaizenautomation/306b5f73ebd5ade6/scripts/generate-docs.js"],"openApiReferenceData":{"operation":{"summary":"List executions","description":"Retrieves all executions for the current organization with optional filtering","tags":["Executions"],"requestBody":"70996978-1a2d-4c38-a81b-a7b296bc0c2e","responses":{"200":"98e4fced-5875-44be-bb77-b1d3c59a0b44","400":"59b34087-74fb-4289-a286-01cf89a6c820"},"method":"post","type":"path","servers":["9a402b36-c691-4e99-be7b-195e4566257b"],"security":[],"path":"/executions/list","baseUrlOptions":["https://api.kaizenautomation.com"],"title":"List executions","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["InProgress","Completed","Enqueued","Failed","Paused"],"description":"Filter executions by status","uniqueKey":"status","typeLabel":"enum\u003cstring>"},"loginId":{"type":"string","description":"Filter executions by login external ID","uniqueKey":"loginId","typeLabel":"string"},"search":{"type":"array","items":{"type":"string","uniqueKey":"search.items.[INDEX]","typeLabel":"string"},"description":"Search executions by execution ID or parameters. Multiple search terms are combined with OR (union search).","uniqueKey":"search","typeLabel":"string[]"},"batch":{"type":"string","description":"Filter executions by batch external ID","uniqueKey":"batch","typeLabel":"string"},"workflowId":{"type":"string","description":"Filter executions by workflow external ID","uniqueKey":"workflowId","typeLabel":"string"},"tagFilters":{"type":"array","items":{"type":"string","uniqueKey":"tagFilters.items.[INDEX]","typeLabel":"string"},"description":"Filter executions by workflow tag external IDs (workflows must have all specified tags)","uniqueKey":"tagFilters","typeLabel":"string[]"},"fromTs":{"type":"string","format":"date-time","description":"Filter executions with start time >= this timestamp (ISO 8601 format, UTC)","uniqueKey":"fromTs","typeLabel":"string\u003cdate-time>"},"toTs":{"type":"string","format":"date-time","description":"Filter executions with start time \u003c= this timestamp (ISO 8601 format, UTC)","uniqueKey":"toTs","typeLabel":"string\u003cdate-time>"},"isTest":{"type":"boolean","description":"Filter executions by test run status","uniqueKey":"isTest","typeLabel":"boolean"}},"description":"Request parameters for listing executions","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"loginId":"\u003cstring>","search":["\u003cstring>"],"batch":"\u003cstring>","workflowId":"\u003cstring>","tagFilters":["\u003cstring>"],"fromTs":"2023-11-07T05:31:56Z","toTs":"2023-11-07T05:31:56Z","isTest":true}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"98e4fced-5875-44be-bb77-b1d3c59a0b44":{"description":"Executions retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"executions":{"type":"array","items":{"oneOf":[{"type":"object","title":"Active Execution (In Progress or Paused)","required":["id","workflow","batch","logins","authentications","contextAuthentications","startTime","status","params","metadata","name","attempts","totalAttempts","isLastAttempt","isTest","truncatedParams"],"properties":{"id":{"type":"string","description":"Unique identifier for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.id","typeLabel":"string"},"workflow":{"type":"object","properties":{"id":{"type":"string","description":"ID of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.workflow.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.workflow.name","typeLabel":"string"}},"required":["id","name"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.workflow","typeLabel":"object"},"batch":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","description":"ID of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.batch.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.batch.oneOf.0.name","typeLabel":"string"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.batch.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","description":"ID of the execution batch"},"name":{"type":"string","description":"Name of the execution batch"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.batch.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.batch","typeLabel":"object | null"},"logins":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.logins.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.logins.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"uniqueKey":"executions.items.[INDEX].oneOf.0.logins.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.logins","typeLabel":"object[]"},"authentications":{"type":"array","items":{"oneOf":[{"type":"object","title":"In Progress Authentication","required":["browserSessionId","status","liveViewUrl"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.0.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"InProgress","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.0.status","typeLabel":"string"},"liveViewUrl":{"oneOf":[{"type":"string","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.0.liveViewUrl","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.0","typeLabel":"In Progress Authentication · object"},{"type":"object","title":"Enqueued Authentication","required":["status"],"properties":{"status":{"type":"string","const":"Enqueued","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.1.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.1","typeLabel":"Enqueued Authentication · object"},{"type":"object","title":"Finished Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.2.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Completed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.2.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.2","typeLabel":"Finished Authentication · object"},{"type":"object","title":"Failed Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.3.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Failed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.3.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX].oneOf.3","typeLabel":"Failed Authentication · object"}],"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications.items.[INDEX]","typeLabel":"In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object"},"description":"Authentication responses for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.authentications","typeLabel":"(In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object)[]"},"contextAuthentications":{"type":"array","items":{"type":"object","properties":{"contextAuthenticationId":{"type":"string","description":"ID of the context authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX].contextAuthenticationId","typeLabel":"string"},"loginSummary":{"type":"object","properties":{"loginId":{"type":"string","description":"ID of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX].loginSummary.loginId","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX].loginSummary.name","typeLabel":"string"},"isManual":{"type":"boolean","description":"Whether this login requires manual authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX].loginSummary.isManual","typeLabel":"boolean"}},"required":["loginId","name","isManual"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX].loginSummary","typeLabel":"object"},"authenticationStatus":{"type":"string","enum":["Unauthenticated","AuthenticationInProgress","Authenticated"],"description":"Current status of the authentication from browser context","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX].authenticationStatus","typeLabel":"enum\u003cstring>"}},"required":["contextAuthenticationId","loginSummary","authenticationStatus"],"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications.items.[INDEX]","typeLabel":"object"},"description":"Session authentication responses with login summary for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.contextAuthentications","typeLabel":"object[]"},"startTime":{"type":"string","format":"date-time","description":"When the execution started","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.startTime","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","enum":["InProgress"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.status","typeLabel":"enum\u003cstring>"},"params":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.0.params.additionalProperties","typeLabel":"any"},"description":"Execution parameters","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.params","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.0.metadata.additionalProperties","typeLabel":"any"},"description":"Execution metadata","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.metadata","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.name","typeLabel":"string | null"},"attempts":{"type":"number","description":"Number of times this execution has been attempted (including retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.attempts","typeLabel":"number"},"totalAttempts":{"type":"number","description":"Total number of attempts allowed for this execution (initial + retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.totalAttempts","typeLabel":"number"},"isLastAttempt":{"type":"boolean","description":"Whether this is the last attempt for this execution (attempts >= totalAttempts)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.isLastAttempt","typeLabel":"boolean"},"isTest":{"type":"boolean","description":"Whether this execution is a test run","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.isTest","typeLabel":"boolean"},"truncatedParams":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.truncatedParams.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.truncatedParams.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.0.truncatedParams","typeLabel":"string | null"},"parentExecutionId":{"oneOf":[{"type":"string","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.0.parentExecutionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.0.parentExecutionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"executions.items.[INDEX].oneOf.0.parentExecutionId","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.0","typeLabel":"Active Execution (In Progress or Paused) · object"},{"type":"object","title":"Enqueued Execution","required":["id","workflow","batch","logins","authentications","contextAuthentications","startTime","status","params","metadata","name","attempts","totalAttempts","isLastAttempt","isTest","truncatedParams"],"properties":{"id":{"type":"string","description":"Unique identifier for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.id","typeLabel":"string"},"workflow":{"type":"object","properties":{"id":{"type":"string","description":"ID of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.workflow.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.workflow.name","typeLabel":"string"}},"required":["id","name"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.workflow","typeLabel":"object"},"batch":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","description":"ID of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.batch.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.batch.oneOf.0.name","typeLabel":"string"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.batch.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","description":"ID of the execution batch"},"name":{"type":"string","description":"Name of the execution batch"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.batch.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.batch","typeLabel":"object | null"},"logins":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.logins.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.logins.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"uniqueKey":"executions.items.[INDEX].oneOf.1.logins.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.logins","typeLabel":"object[]"},"authentications":{"type":"array","items":{"oneOf":[{"type":"object","title":"In Progress Authentication","required":["browserSessionId","status","liveViewUrl"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.0.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"InProgress","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.0.status","typeLabel":"string"},"liveViewUrl":{"oneOf":[{"type":"string","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.0.liveViewUrl","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.0","typeLabel":"In Progress Authentication · object"},{"type":"object","title":"Enqueued Authentication","required":["status"],"properties":{"status":{"type":"string","const":"Enqueued","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.1.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.1","typeLabel":"Enqueued Authentication · object"},{"type":"object","title":"Finished Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.2.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Completed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.2.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.2","typeLabel":"Finished Authentication · object"},{"type":"object","title":"Failed Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.3.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Failed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.3.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX].oneOf.3","typeLabel":"Failed Authentication · object"}],"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications.items.[INDEX]","typeLabel":"In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object"},"description":"Authentication responses for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.authentications","typeLabel":"(In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object)[]"},"contextAuthentications":{"type":"array","items":{"type":"object","properties":{"contextAuthenticationId":{"type":"string","description":"ID of the context authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX].contextAuthenticationId","typeLabel":"string"},"loginSummary":{"type":"object","properties":{"loginId":{"type":"string","description":"ID of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX].loginSummary.loginId","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX].loginSummary.name","typeLabel":"string"},"isManual":{"type":"boolean","description":"Whether this login requires manual authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX].loginSummary.isManual","typeLabel":"boolean"}},"required":["loginId","name","isManual"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX].loginSummary","typeLabel":"object"},"authenticationStatus":{"type":"string","enum":["Unauthenticated","AuthenticationInProgress","Authenticated"],"description":"Current status of the authentication from browser context","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX].authenticationStatus","typeLabel":"enum\u003cstring>"}},"required":["contextAuthenticationId","loginSummary","authenticationStatus"],"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications.items.[INDEX]","typeLabel":"object"},"description":"Session authentication responses with login summary for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.contextAuthentications","typeLabel":"object[]"},"startTime":{"type":"string","format":"date-time","description":"When the execution started","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.startTime","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","enum":["Enqueued"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.status","typeLabel":"enum\u003cstring>"},"params":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.1.params.additionalProperties","typeLabel":"any"},"description":"Execution parameters","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.params","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.1.metadata.additionalProperties","typeLabel":"any"},"description":"Execution metadata","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.metadata","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.name","typeLabel":"string | null"},"attempts":{"type":"number","description":"Number of times this execution has been attempted (including retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.attempts","typeLabel":"number"},"totalAttempts":{"type":"number","description":"Total number of attempts allowed for this execution (initial + retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.totalAttempts","typeLabel":"number"},"isLastAttempt":{"type":"boolean","description":"Whether this is the last attempt for this execution (attempts >= totalAttempts)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.isLastAttempt","typeLabel":"boolean"},"isTest":{"type":"boolean","description":"Whether this execution is a test run","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.isTest","typeLabel":"boolean"},"truncatedParams":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.truncatedParams.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.truncatedParams.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.1.truncatedParams","typeLabel":"string | null"},"parentExecutionId":{"oneOf":[{"type":"string","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.1.parentExecutionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.1.parentExecutionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"executions.items.[INDEX].oneOf.1.parentExecutionId","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.1","typeLabel":"Enqueued Execution · object"},{"type":"object","title":"Active Execution (In Progress or Paused)","required":["id","workflow","batch","logins","authentications","contextAuthentications","startTime","status","params","metadata","name","attempts","totalAttempts","isLastAttempt","isTest","truncatedParams"],"properties":{"id":{"type":"string","description":"Unique identifier for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.id","typeLabel":"string"},"workflow":{"type":"object","properties":{"id":{"type":"string","description":"ID of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.workflow.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.workflow.name","typeLabel":"string"}},"required":["id","name"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.workflow","typeLabel":"object"},"batch":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","description":"ID of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.batch.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.batch.oneOf.0.name","typeLabel":"string"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.batch.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","description":"ID of the execution batch"},"name":{"type":"string","description":"Name of the execution batch"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.batch.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.batch","typeLabel":"object | null"},"logins":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.logins.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.logins.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"uniqueKey":"executions.items.[INDEX].oneOf.2.logins.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.logins","typeLabel":"object[]"},"authentications":{"type":"array","items":{"oneOf":[{"type":"object","title":"In Progress Authentication","required":["browserSessionId","status","liveViewUrl"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.0.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"InProgress","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.0.status","typeLabel":"string"},"liveViewUrl":{"oneOf":[{"type":"string","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.0.liveViewUrl","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.0","typeLabel":"In Progress Authentication · object"},{"type":"object","title":"Enqueued Authentication","required":["status"],"properties":{"status":{"type":"string","const":"Enqueued","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.1.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.1","typeLabel":"Enqueued Authentication · object"},{"type":"object","title":"Finished Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.2.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Completed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.2.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.2","typeLabel":"Finished Authentication · object"},{"type":"object","title":"Failed Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.3.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Failed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.3.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX].oneOf.3","typeLabel":"Failed Authentication · object"}],"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications.items.[INDEX]","typeLabel":"In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object"},"description":"Authentication responses for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.authentications","typeLabel":"(In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object)[]"},"contextAuthentications":{"type":"array","items":{"type":"object","properties":{"contextAuthenticationId":{"type":"string","description":"ID of the context authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX].contextAuthenticationId","typeLabel":"string"},"loginSummary":{"type":"object","properties":{"loginId":{"type":"string","description":"ID of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX].loginSummary.loginId","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX].loginSummary.name","typeLabel":"string"},"isManual":{"type":"boolean","description":"Whether this login requires manual authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX].loginSummary.isManual","typeLabel":"boolean"}},"required":["loginId","name","isManual"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX].loginSummary","typeLabel":"object"},"authenticationStatus":{"type":"string","enum":["Unauthenticated","AuthenticationInProgress","Authenticated"],"description":"Current status of the authentication from browser context","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX].authenticationStatus","typeLabel":"enum\u003cstring>"}},"required":["contextAuthenticationId","loginSummary","authenticationStatus"],"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications.items.[INDEX]","typeLabel":"object"},"description":"Session authentication responses with login summary for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.contextAuthentications","typeLabel":"object[]"},"startTime":{"type":"string","format":"date-time","description":"When the execution started","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.startTime","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","enum":["Paused"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.status","typeLabel":"enum\u003cstring>"},"params":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.2.params.additionalProperties","typeLabel":"any"},"description":"Execution parameters","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.params","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.2.metadata.additionalProperties","typeLabel":"any"},"description":"Execution metadata","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.metadata","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.name","typeLabel":"string | null"},"attempts":{"type":"number","description":"Number of times this execution has been attempted (including retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.attempts","typeLabel":"number"},"totalAttempts":{"type":"number","description":"Total number of attempts allowed for this execution (initial + retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.totalAttempts","typeLabel":"number"},"isLastAttempt":{"type":"boolean","description":"Whether this is the last attempt for this execution (attempts >= totalAttempts)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.isLastAttempt","typeLabel":"boolean"},"isTest":{"type":"boolean","description":"Whether this execution is a test run","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.isTest","typeLabel":"boolean"},"truncatedParams":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.truncatedParams.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.truncatedParams.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.2.truncatedParams","typeLabel":"string | null"},"parentExecutionId":{"oneOf":[{"type":"string","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.2.parentExecutionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.2.parentExecutionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"executions.items.[INDEX].oneOf.2.parentExecutionId","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.2","typeLabel":"Active Execution (In Progress or Paused) · object"},{"type":"object","title":"Completed Execution Summary","required":["id","workflow","batch","logins","authentications","contextAuthentications","startTime","params","metadata","name","attempts","totalAttempts","isLastAttempt","isTest","durationMs","endTime","response","truncatedParams","truncatedResponse","error","status"],"properties":{"id":{"type":"string","description":"Unique identifier for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.id","typeLabel":"string"},"workflow":{"type":"object","properties":{"id":{"type":"string","description":"ID of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.workflow.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.workflow.name","typeLabel":"string"}},"required":["id","name"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.workflow","typeLabel":"object"},"batch":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","description":"ID of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.batch.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.batch.oneOf.0.name","typeLabel":"string"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.batch.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","description":"ID of the execution batch"},"name":{"type":"string","description":"Name of the execution batch"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.batch.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.batch","typeLabel":"object | null"},"logins":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.logins.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.logins.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"uniqueKey":"executions.items.[INDEX].oneOf.3.logins.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.logins","typeLabel":"object[]"},"authentications":{"type":"array","items":{"oneOf":[{"type":"object","title":"In Progress Authentication","required":["browserSessionId","status","liveViewUrl"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.0.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"InProgress","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.0.status","typeLabel":"string"},"liveViewUrl":{"oneOf":[{"type":"string","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.0.liveViewUrl","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.0","typeLabel":"In Progress Authentication · object"},{"type":"object","title":"Enqueued Authentication","required":["status"],"properties":{"status":{"type":"string","const":"Enqueued","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.1.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.1","typeLabel":"Enqueued Authentication · object"},{"type":"object","title":"Finished Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.2.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Completed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.2.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.2","typeLabel":"Finished Authentication · object"},{"type":"object","title":"Failed Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.3.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Failed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.3.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX].oneOf.3","typeLabel":"Failed Authentication · object"}],"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications.items.[INDEX]","typeLabel":"In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object"},"description":"Authentication responses for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.authentications","typeLabel":"(In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object)[]"},"contextAuthentications":{"type":"array","items":{"type":"object","properties":{"contextAuthenticationId":{"type":"string","description":"ID of the context authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX].contextAuthenticationId","typeLabel":"string"},"loginSummary":{"type":"object","properties":{"loginId":{"type":"string","description":"ID of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX].loginSummary.loginId","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX].loginSummary.name","typeLabel":"string"},"isManual":{"type":"boolean","description":"Whether this login requires manual authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX].loginSummary.isManual","typeLabel":"boolean"}},"required":["loginId","name","isManual"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX].loginSummary","typeLabel":"object"},"authenticationStatus":{"type":"string","enum":["Unauthenticated","AuthenticationInProgress","Authenticated"],"description":"Current status of the authentication from browser context","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX].authenticationStatus","typeLabel":"enum\u003cstring>"}},"required":["contextAuthenticationId","loginSummary","authenticationStatus"],"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications.items.[INDEX]","typeLabel":"object"},"description":"Session authentication responses with login summary for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.contextAuthentications","typeLabel":"object[]"},"startTime":{"type":"string","format":"date-time","description":"When the execution started","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.startTime","typeLabel":"string\u003cdate-time>"},"params":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.3.params.additionalProperties","typeLabel":"any"},"description":"Execution parameters","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.params","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.3.metadata.additionalProperties","typeLabel":"any"},"description":"Execution metadata","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.metadata","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.name","typeLabel":"string | null"},"attempts":{"type":"number","description":"Number of times this execution has been attempted (including retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.attempts","typeLabel":"number"},"totalAttempts":{"type":"number","description":"Total number of attempts allowed for this execution (initial + retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.totalAttempts","typeLabel":"number"},"isLastAttempt":{"type":"boolean","description":"Whether this is the last attempt for this execution (attempts >= totalAttempts)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.isLastAttempt","typeLabel":"boolean"},"isTest":{"type":"boolean","description":"Whether this execution is a test run","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.isTest","typeLabel":"boolean"},"durationMs":{"type":"number","description":"Duration of the execution in milliseconds","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.durationMs","typeLabel":"number"},"endTime":{"type":"string","format":"date-time","description":"When the execution completed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.endTime","typeLabel":"string\u003cdate-time>"},"response":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.3.response.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Response from the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.response.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.3.response.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Response from the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.response.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.response","typeLabel":"object | null"},"truncatedParams":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.truncatedParams.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.truncatedParams.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.truncatedParams","typeLabel":"string | null"},"truncatedResponse":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution response (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.truncatedResponse.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution response (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.truncatedResponse.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.truncatedResponse","typeLabel":"string | null"},"error":{"oneOf":[{"type":"object","properties":{"code":{"oneOf":[{"type":"string","description":"Error code identifying the type of failure","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0.code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error code identifying the type of failure","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0.code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0.code","typeLabel":"string | null"},"analysis":{"oneOf":[{"type":"string","description":"AI-generated analysis of what went wrong during the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0.analysis.oneOf.0","typeLabel":"string"},{"type":"null","description":"AI-generated analysis of what went wrong during the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0.analysis.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0.analysis","typeLabel":"string | null"}},"required":["code","analysis"],"description":"Error details for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"code":{"oneOf":[{"type":"string","description":"Error code identifying the type of failure"},{"type":"null","description":"Error code identifying the type of failure"}]},"analysis":{"oneOf":[{"type":"string","description":"AI-generated analysis of what went wrong during the execution"},{"type":"null","description":"AI-generated analysis of what went wrong during the execution"}]}},"required":["code","analysis"],"description":"Error details for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.error","typeLabel":"object | null"},"status":{"type":"string","enum":["Completed"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.3.status","typeLabel":"enum\u003cstring>"},"parentExecutionId":{"oneOf":[{"type":"string","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.3.parentExecutionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.3.parentExecutionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"executions.items.[INDEX].oneOf.3.parentExecutionId","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.3","typeLabel":"Completed Execution Summary · object"},{"type":"object","title":"Failed Execution Summary","required":["id","workflow","batch","logins","authentications","contextAuthentications","startTime","params","metadata","name","attempts","totalAttempts","isLastAttempt","isTest","durationMs","endTime","response","truncatedParams","truncatedResponse","error","status"],"properties":{"id":{"type":"string","description":"Unique identifier for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.id","typeLabel":"string"},"workflow":{"type":"object","properties":{"id":{"type":"string","description":"ID of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.workflow.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the workflow being executed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.workflow.name","typeLabel":"string"}},"required":["id","name"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.workflow","typeLabel":"object"},"batch":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","description":"ID of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.batch.oneOf.0.id","typeLabel":"string"},"name":{"type":"string","description":"Name of the execution batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.batch.oneOf.0.name","typeLabel":"string"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.batch.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","description":"ID of the execution batch"},"name":{"type":"string","description":"Name of the execution batch"}},"required":["id","name"],"description":"Batch information if execution is part of a batch","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.batch.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.batch","typeLabel":"object | null"},"logins":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.logins.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.logins.items.[INDEX].name","typeLabel":"string"}},"required":["id","name"],"uniqueKey":"executions.items.[INDEX].oneOf.4.logins.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.logins","typeLabel":"object[]"},"authentications":{"type":"array","items":{"oneOf":[{"type":"object","title":"In Progress Authentication","required":["browserSessionId","status","liveViewUrl"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.0.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"InProgress","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.0.status","typeLabel":"string"},"liveViewUrl":{"oneOf":[{"type":"string","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL for live view of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.0.liveViewUrl.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.0.liveViewUrl","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.0","typeLabel":"In Progress Authentication · object"},{"type":"object","title":"Enqueued Authentication","required":["status"],"properties":{"status":{"type":"string","const":"Enqueued","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.1.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.1","typeLabel":"Enqueued Authentication · object"},{"type":"object","title":"Finished Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.2.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Completed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.2.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.2","typeLabel":"Finished Authentication · object"},{"type":"object","title":"Failed Authentication","required":["browserSessionId","status"],"properties":{"browserSessionId":{"type":"string","description":"ID of the browser session used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.3.browserSessionId","typeLabel":"string"},"status":{"type":"string","const":"Failed","description":"Status of the authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.3.status","typeLabel":"string"}},"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX].oneOf.3","typeLabel":"Failed Authentication · object"}],"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications.items.[INDEX]","typeLabel":"In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object"},"description":"Authentication responses for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.authentications","typeLabel":"(In Progress Authentication · object | Enqueued Authentication · object | Finished Authentication · object | Failed Authentication · object)[]"},"contextAuthentications":{"type":"array","items":{"type":"object","properties":{"contextAuthenticationId":{"type":"string","description":"ID of the context authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX].contextAuthenticationId","typeLabel":"string"},"loginSummary":{"type":"object","properties":{"loginId":{"type":"string","description":"ID of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX].loginSummary.loginId","typeLabel":"string"},"name":{"type":"string","description":"Name of the login used for authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX].loginSummary.name","typeLabel":"string"},"isManual":{"type":"boolean","description":"Whether this login requires manual authentication","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX].loginSummary.isManual","typeLabel":"boolean"}},"required":["loginId","name","isManual"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX].loginSummary","typeLabel":"object"},"authenticationStatus":{"type":"string","enum":["Unauthenticated","AuthenticationInProgress","Authenticated"],"description":"Current status of the authentication from browser context","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX].authenticationStatus","typeLabel":"enum\u003cstring>"}},"required":["contextAuthenticationId","loginSummary","authenticationStatus"],"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications.items.[INDEX]","typeLabel":"object"},"description":"Session authentication responses with login summary for this execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.contextAuthentications","typeLabel":"object[]"},"startTime":{"type":"string","format":"date-time","description":"When the execution started","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.startTime","typeLabel":"string\u003cdate-time>"},"params":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.4.params.additionalProperties","typeLabel":"any"},"description":"Execution parameters","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.params","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.4.metadata.additionalProperties","typeLabel":"any"},"description":"Execution metadata","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.metadata","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution name","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.name","typeLabel":"string | null"},"attempts":{"type":"number","description":"Number of times this execution has been attempted (including retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.attempts","typeLabel":"number"},"totalAttempts":{"type":"number","description":"Total number of attempts allowed for this execution (initial + retries)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.totalAttempts","typeLabel":"number"},"isLastAttempt":{"type":"boolean","description":"Whether this is the last attempt for this execution (attempts >= totalAttempts)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.isLastAttempt","typeLabel":"boolean"},"isTest":{"type":"boolean","description":"Whether this execution is a test run","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.isTest","typeLabel":"boolean"},"durationMs":{"type":"number","description":"Duration of the execution in milliseconds","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.durationMs","typeLabel":"number"},"endTime":{"type":"string","format":"date-time","description":"When the execution completed","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.endTime","typeLabel":"string\u003cdate-time>"},"response":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.4.response.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Response from the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.response.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"executions.items.[INDEX].oneOf.4.response.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Response from the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.response.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.response","typeLabel":"object | null"},"truncatedParams":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.truncatedParams.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution parameters (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.truncatedParams.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.truncatedParams","typeLabel":"string | null"},"truncatedResponse":{"oneOf":[{"type":"string","description":"Truncated JSON string of execution response (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.truncatedResponse.oneOf.0","typeLabel":"string"},{"type":"null","description":"Truncated JSON string of execution response (~50 chars)","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.truncatedResponse.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.truncatedResponse","typeLabel":"string | null"},"error":{"oneOf":[{"type":"object","properties":{"code":{"oneOf":[{"type":"string","description":"Error code identifying the type of failure","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0.code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error code identifying the type of failure","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0.code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0.code","typeLabel":"string | null"},"analysis":{"oneOf":[{"type":"string","description":"AI-generated analysis of what went wrong during the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0.analysis.oneOf.0","typeLabel":"string"},{"type":"null","description":"AI-generated analysis of what went wrong during the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0.analysis.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0.analysis","typeLabel":"string | null"}},"required":["code","analysis"],"description":"Error details for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"code":{"oneOf":[{"type":"string","description":"Error code identifying the type of failure"},{"type":"null","description":"Error code identifying the type of failure"}]},"analysis":{"oneOf":[{"type":"string","description":"AI-generated analysis of what went wrong during the execution"},{"type":"null","description":"AI-generated analysis of what went wrong during the execution"}]}},"required":["code","analysis"],"description":"Error details for the execution","isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.error","typeLabel":"object | null"},"status":{"type":"string","enum":["Failed"],"isRequired":true,"uniqueKey":"executions.items.[INDEX].oneOf.4.status","typeLabel":"enum\u003cstring>"},"parentExecutionId":{"oneOf":[{"type":"string","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.4.parentExecutionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the parent execution that triggered this execution","uniqueKey":"executions.items.[INDEX].oneOf.4.parentExecutionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"executions.items.[INDEX].oneOf.4.parentExecutionId","typeLabel":"string | null"}},"uniqueKey":"executions.items.[INDEX].oneOf.4","typeLabel":"Failed Execution Summary · object"}],"uniqueKey":"executions.items.[INDEX]","typeLabel":"Active Execution (In Progress or Paused) · object · Enqueued Execution · object · Active Execution (In Progress or Paused) · object · Completed Execution Summary · object · Failed Execution Summary · object"},"isRequired":true,"uniqueKey":"executions","typeLabel":"Active Execution (In Progress or Paused) · object · Enqueued Execution · object · Active Execution (In Progress or Paused) · object · Completed Execution Summary · object · Failed Execution Summary · object[]"},"total":{"type":"number","description":"Total number of executions matching the filter criteria","isRequired":true,"uniqueKey":"total","typeLabel":"number"}},"required":["executions","total"],"description":"List of executions","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"executions":[{"id":"\u003cstring>","workflow":{"id":"\u003cstring>","name":"\u003cstring>"},"batch":{"id":"\u003cstring>","name":"\u003cstring>"},"logins":[{"id":"\u003cstring>","name":"\u003cstring>"}],"authentications":[{"browserSessionId":"\u003cstring>","status":"InProgress","liveViewUrl":"\u003cstring>"}],"contextAuthentications":[{"contextAuthenticationId":"\u003cstring>","loginSummary":{"loginId":"\u003cstring>","name":"\u003cstring>","isManual":true},"authenticationStatus":"Unauthenticated"}],"startTime":"2023-11-07T05:31:56Z","status":"InProgress","params":{},"metadata":{},"name":"\u003cstring>","attempts":123,"totalAttempts":123,"isLastAttempt":true,"isTest":true,"truncatedParams":"\u003cstring>","parentExecutionId":"\u003cstring>"}],"total":123}}},"exampleType":"generated"}},"exampleType":"generated"},"59b34087-74fb-4289-a286-01cf89a6c820":{"description":"Invalid request parameters","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"9a402b36-c691-4e99-be7b-195e4566257b":{"url":"https://api.kaizenautomation.com","description":"Production server"}}},"originalFileLocation":"openapi.json"},"subdomain":"kaizenautomation","siteName":"Kaizen","title":"List executions - Kaizen","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-04T08:02:33.176Z","originalFileLocation":"api-reference/executions/list-executions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves all executions for the current organization with optional filtering\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kaizen\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List executions - Kaizen\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves all executions for the current organization with optional filtering\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kaizen\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kaizenautomation.com/api-reference/executions/list-executions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kaizenautomation.mintlify.site/_mintlify/api/og/v2?division=Executions\u0026amp;title=List+executions\u0026amp;description=Retrieves+all+executions+for+the+current+organization+with+optional+filtering\u0026amp;theme=f37fa918ce4d41d4e022ce89\u0026amp;signature=4f49e53cb33bf1c147f216103ac5f4ff8b91f7089d06ff436ef4f32943b955ba\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List executions - Kaizen\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves all executions for the current organization with optional filtering\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kaizenautomation.mintlify.site/_mintlify/api/og/v2?division=Executions\u0026amp;title=List+executions\u0026amp;description=Retrieves+all+executions+for+the+current+organization+with+optional+filtering\u0026amp;theme=f37fa918ce4d41d4e022ce89\u0026amp;signature=4f49e53cb33bf1c147f216103ac5f4ff8b91f7089d06ff436ef4f32943b955ba\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kaizenautomation/4hld95ZurNmtSFvg/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kaizen\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#ffcc00\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kaizenautomation.com/api-reference/executions/list-executions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/executions/list-executions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kaizenautomation.com/#organization\",\"name\":\"Kaizen\",\"url\":\"https://docs.kaizenautomation.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kaizenautomation/Wx0TyKIp-iSVxHVM/logo/light.svg?fit=max\u0026auto=format\u0026n=Wx0TyKIp-iSVxHVM\u0026q=85\u0026s=f3e4d00ffe0f3d46f58a68a433349b22\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kaizenautomation.com#website\",\"name\":\"Kaizen\",\"url\":\"https://docs.kaizenautomation.com\",\"publisher\":{\"@id\":\"https://docs.kaizenautomation.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions#webpage\",\"url\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions\",\"name\":\"List executions\",\"description\":\"Retrieves all executions for the current organization with optional filtering\",\"dateModified\":\"2026-11-04T08:02:33.176Z\",\"isPartOf\":{\"@id\":\"https://docs.kaizenautomation.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Kaizen\",\"item\":\"https://docs.kaizenautomation.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List executions\",\"item\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions#apireference\",\"headline\":\"List executions\",\"name\":\"List executions\",\"description\":\"Retrieves all executions for the current organization with optional filtering\",\"url\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kaizenautomation.com/api-reference/executions/list-executions#webpage\"},\"dateModified\":\"2026-11-04T08:02:33.176Z\",\"publisher\":{\"@id\":\"https://docs.kaizenautomation.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kaizenautomation.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Kaizen\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Kaizen\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/executions/list-executions.md","siteName":"Kaizen","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Authentication","pages":[{"openapi":"post /authentication/submitTwoFactorAuthCode","title":"Submit 2FA code","href":"/api-reference/authentication/submit-2fa-code"},{"openapi":"post /authentication/completeLogin","title":"Complete login authentication","href":"/api-reference/authentication/complete-login-authentication"}]},{"group":"Logins","pages":[{"openapi":"post /logins/create","title":"Create a login","href":"/api-reference/logins/create-a-login"},{"openapi":"post /logins/update","title":"Update a login","href":"/api-reference/logins/update-a-login"},{"openapi":"post /logins/delete","title":"Delete a login","href":"/api-reference/logins/delete-a-login"},{"openapi":"post /logins/list","title":"List logins","href":"/api-reference/logins/list-logins"},{"openapi":"post /logins/getPassword","title":"Get login password","description":"Returns the decrypted password for a login. Gated by a LaunchDarkly feature flag per organization.","href":"/api-reference/logins/get-login-password"}]},{"group":"Executions","pages":[{"openapi":"post /executions/list","title":"List executions","href":"/api-reference/executions/list-executions"},{"openapi":"post /executions/get","title":"Get execution","description":"Retrieves a single execution by ID for the current organization","href":"/api-reference/executions/get-execution"},{"openapi":"post /executions/retry","title":"Retry execution","href":"/api-reference/executions/retry-execution"}]},{"group":"Browser Sessions","pages":[{"openapi":"post /browsers/getSessionRecording","title":"Get browser session recording","href":"/api-reference/browser-sessions/get-browser-session-recording"}]},{"group":"Workflows","pages":[{"openapi":"post /workflows/execute","title":"Execute a workflow","href":"/api-reference/workflows/execute-a-workflow"},{"openapi":"post /workflows/executeSync","title":"Execute a workflow synchronously","href":"/api-reference/workflows/execute-a-workflow-synchronously"},{"openapi":"post /workflows/update","title":"Update a workflow","href":"/api-reference/workflows/update-a-workflow"},{"openapi":"post /workflows/executeBatch","title":"Execute multiple workflows in a batch","href":"/api-reference/workflows/execute-multiple-workflows-in-a-batch"}]},{"group":"Instructor","pages":[{"openapi":"post /instructor/executions/runBlock","title":"Run single block","href":"/api-reference/instructor/run-single-block"}]},{"group":"Files","pages":[{"openapi":"post /files/get","title":"Get file","href":"/api-reference/files/get-file"},{"openapi":"post /files/create","title":"Create a file","href":"/api-reference/files/create-a-file"}]},{"group":"Agents","pages":[{"openapi":"post /agents/session/getFileArchiveUrl","title":"Get session archive download URL","href":"/api-reference/agents/get-session-archive-download-url"},{"openapi":"post /agents/execute","title":"Execute agent","href":"/api-reference/agents/execute-agent"},{"openapi":"post /agents/sessions/get","title":"Get session","href":"/api-reference/agents/get-session"},{"openapi":"post /agents/sessions/pause","title":"Pause session","href":"/api-reference/agents/pause-session"},{"openapi":"post /agents/session/messages/list","title":"List agent messages","href":"/api-reference/agents/list-agent-messages"}]},{"group":"Webhooks","pages":[{"openapi":"webhook events","title":"Event","href":"/api-reference/webhooks/event"}]}]}]},"basePath":"","title":"List executions - Kaizen","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}